BuiltInForNodeEx (FreeMarker 2.3.35 API)
Description: declaration: package: freemarker.core, class: BuiltInForNodeEx

Package freemarker.core

# Class BuiltInForNodeEx

java.lang.Object
freemarker.core.TemplateObject
freemarker.core.Expression
freemarker.core.BuiltInForNodeEx

All Implemented Interfaces:
  `Cloneable`

public abstract class BuiltInForNodeEx extends freemarker.core.Expression

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `key`
  `protected freemarker.core.Expression`
  `target`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuiltInForNodeEx()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `checkMethodArgCount​(int argCnt, int expectedCnt)`
  `protected void`
  `checkMethodArgCount​(int argCnt, int minCnt, int maxCnt)`
  `protected void`
  `checkMethodArgCount​(List args, int expectedCnt)`
  `protected void`
  `checkMethodArgCount​(List args, int minCnt, int maxCnt)`
  `protected freemarker.core.Expression`
  `deepCloneWithIdentifierReplaced_inner​(String replacedIdentifier, freemarker.core.Expression replacement, freemarker.core.Expression.ReplacemenetState replacementState)`
  `protected boolean`
  `getBooleanMethodArg​(List args, int argIdx)`
  Gets a method argument and checks if it's a boolean; it does NOT check if `args` is big enough.
  `String`
  `getCanonicalForm()`
  `protected Number`
  `getNumberMethodArg​(List args, int argIdx)`
  Gets a method argument and checks if it's a number; it does NOT check if `args` is big enough.
  `protected boolean`
  `getOptBooleanMethodArg​(List args, int argIdx, boolean defaultValue)`
  Same as `getBooleanMethodArg(java.util.List, int)`, but checks if `args` is big enough, and returns `defaultValue` if it isn't.
  `protected Number`
  `getOptNumberMethodArg​(List args, int argIdx)`
  Same as `getNumberMethodArg(java.util.List, int)`, but checks if `args` is big enough, and returns `null` if it isn't.
  `protected String`
  `getOptStringMethodArg​(List args, int argIdx)`
  Same as `getStringMethodArg(java.util.List, int)`, but checks if `args` is big enough, and returns `null` if it isn't.
  `protected String`
  `getStringMethodArg​(List args, int argIdx)`
  Gets a method argument and checks if it's a string; it does NOT check if `args` is big enough.
  `protected TemplateModelException`
  `newMethodArgInvalidValueException​(int argIdx, Object[] details)`
  `protected TemplateModelException`
  `newMethodArgsInvalidValueException​(Object[] details)`
  `protected void`
  `setTarget​(freemarker.core.Expression target)`

  ### Methods inherited from class freemarker.core.Expression

  `getAsTemplateModel`

  ### Methods inherited from class freemarker.core.TemplateObject

  `contains, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getEndLocation, getEndLocationQuoted, getSource, getStartLocation, getStartLocationQuoted, getTemplate, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### target

    protected freemarker.core.Expression target

  - ### key

    protected String key

- ## Constructor Details

  - ### BuiltInForNodeEx

    public BuiltInForNodeEx()

- ## Method Details

  - ### setTarget

    protected void setTarget​(freemarker.core.Expression target)

  - ### getCanonicalForm

    public String getCanonicalForm()
    Specified by:
      `getCanonicalForm` in class `freemarker.core.TemplateObject`

  - ### checkMethodArgCount

    protected final void checkMethodArgCount​(List args, int expectedCnt) throws TemplateModelException
    Throws:
      `TemplateModelException`

  - ### checkMethodArgCount

    protected final void checkMethodArgCount​(int argCnt, int expectedCnt) throws TemplateModelException
    Throws:
      `TemplateModelException`

  - ### checkMethodArgCount

    protected final void checkMethodArgCount​(List args, int minCnt, int maxCnt) throws TemplateModelException
    Throws:
      `TemplateModelException`

  - ### checkMethodArgCount

    protected final void checkMethodArgCount​(int argCnt, int minCnt, int maxCnt) throws TemplateModelException
    Throws:
      `TemplateModelException`

  - ### getOptStringMethodArg

    protected final String getOptStringMethodArg​(List args, int argIdx) throws TemplateModelException
    Same as `getStringMethodArg(java.util.List, int)`, but checks if `args` is big enough, and returns `null` if it isn't.
    Throws:
      `TemplateModelException`

  - ### getStringMethodArg

    protected final String getStringMethodArg​(List args, int argIdx) throws TemplateModelException
    Gets a method argument and checks if it's a string; it does NOT check if `args` is big enough.
    Throws:
      `TemplateModelException`

  - ### getOptNumberMethodArg

    protected final Number getOptNumberMethodArg​(List args, int argIdx) throws TemplateModelException
    Same as `getNumberMethodArg(java.util.List, int)`, but checks if `args` is big enough, and returns `null` if it isn't.
    Throws:
      `TemplateModelException`

  - ### getNumberMethodArg

    protected final Number getNumberMethodArg​(List args, int argIdx) throws TemplateModelException
    Gets a method argument and checks if it's a number; it does NOT check if `args` is big enough.
    Throws:
      `TemplateModelException`

  - ### getOptBooleanMethodArg

    protected final boolean getOptBooleanMethodArg​(List args, int argIdx, boolean defaultValue) throws TemplateModelException
    Same as `getBooleanMethodArg(java.util.List, int)`, but checks if `args` is big enough, and returns `defaultValue` if it isn't.
    Throws:
      `TemplateModelException`

  - ### getBooleanMethodArg

    protected final boolean getBooleanMethodArg​(List args, int argIdx) throws TemplateModelException
    Gets a method argument and checks if it's a boolean; it does NOT check if `args` is big enough.
    Throws:
      `TemplateModelException`

  - ### newMethodArgInvalidValueException

    protected final TemplateModelException newMethodArgInvalidValueException​(int argIdx, Object[] details)

  - ### newMethodArgsInvalidValueException

    protected final TemplateModelException newMethodArgsInvalidValueException​(Object[] details)

  - ### deepCloneWithIdentifierReplaced_inner

    protected freemarker.core.Expression deepCloneWithIdentifierReplaced_inner​(String replacedIdentifier, freemarker.core.Expression replacement, freemarker.core.Expression.ReplacemenetState replacementState)
    Specified by:
      `deepCloneWithIdentifierReplaced_inner` in class `freemarker.core.Expression`